# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/reset/eswin,eic7700-reset.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: ESWIN EIC7700 SoC reset controller

maintainers:
  - Yifeng Huang <huangyifeng@eswincomputing.com>
  - Xuyang Dong <dongxuyang@eswincomputing.com>

description:
  The system reset controller can be used to reset various peripheral
  controllers in ESWIN eic7700 SoC.

properties:
  compatible:
    const: eswin,eic7700-reset

  reg:
    maxItems: 1

  '#reset-cells':
    const: 1

required:
  - compatible
  - reg
  - '#reset-cells'

additionalProperties: false

examples:
  - |
    #include <dt-bindings/reset/eswin,eic7700-reset.h>

    reset-controller@51828300 {
        compatible = "eswin,eic7700-reset";
        reg = <0x51828300 0x200>;
        #reset-cells = <1>;
    };
